Raul::AtomicPtr< T > Class Template Reference
Realtime Audio Utility Library

Atomic pointer. More...

`#include <AtomicPtr.hpp>`

## Public Member Functions

| AtomicPtr (const AtomicPtr &copy)
T * | get () const
void | operator= (T *val)
bool | compare_and_exchange (gpointer oldval, gpointer newval)
| Set value to newval iff current value is oldval.

## Detailed Description

### template<typename T>
class Raul::AtomicPtr< T >

Atomic pointer.

The documentation for this class was generated from the following file:

- AtomicPtr.hpp